#!/bin/sh
case "`uname -r`" in
 4.*)	;;
 *) exec /usr/sbin/install $*;;
esac
#
# Convert to BSD install syntax (at least all of the options that we use)..
#
DIR=
ARGS=
while getopts c:f:m:u:g:s c
do
    case $c in
     c)	 ;;
     f)  DIR=$OPTARG;;
     m)  ARGS="$ARGS -m $OPTARG";;
     u)  ARGS="$ARGS -o $OPTARG";;
     g)  ARGS="$ARGS -g $OPTARG";;
     s)	 ;;
     ?)	 echo "$0: Unknown argument: $c"
    esac
done
shift `expr $OPTIND - 1`
exec /usr/bin/install $ARGS $* $DIR
