/*
 * See RFC1055 for the origin of the following magic numbers
 */

#define SLIPMAX		1006	/* this is the largest packet we'll accept */
#define SLIPMTU		552	/* this is the largest packet we'll send */

#define	SLIP_END	0300	/* a frame just finished */
#define	SLIP_ESC	0333	/* introduces an escape sequence */
#define	SLIP_ESC_END	0334	/* the data contained an END */
#define	SLIP_ESC_ESC	0335	/* the data contained an ESC */

#define	SLIP_SPECIAL(x)	((x) == SLIP_ESC || (x) == SLIP_END)
